Bug 183145 - Update port: devel/rubygem-jeweler Upgrade to 1.8.8
Summary: Update port: devel/rubygem-jeweler Upgrade to 1.8.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-21 06:40 UTC by Douglas Thrift
Modified: 2013-11-29 19:10 UTC (History)
1 user (show)

See Also:


Attachments
rubygem-jeweler.2013-10-21T052550Z.diff (2.99 KB, patch)
2013-10-21 06:40 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-10-21 06:40:00 UTC
Upgrade devel/rubygem-jeweler to 1.8.8; add STAGE support.

There is nothing in the change log for 1.8.8, but the commits are on GitHub:

https://github.com/technicalpickles/jeweler/commits/v1.8.8

From ChangeLog.markdown:

# jeweler 1.8.7, 2013-08-12

 * Lock timecop version to 0.6.1 to keep support of 1.8.7 #243
 * Bump version in version.rb to reflect released gem version
 * jeweler's Rakefile reads version from version.rb
Comment 1 Edwin Groothuis freebsd_committer 2013-10-21 06:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

ruby@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Po-Chuan Hsieh freebsd_committer 2013-11-29 17:44:51 UTC
Responsible Changed
From-To: ruby->sunpoet

I'll take it.
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-11-29 19:09:26 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-11-29 19:09:26 UTC
Author: sunpoet
Date: Fri Nov 29 19:09:19 2013
New Revision: 335211
URL: http://svnweb.freebsd.org/changeset/ports/335211

Log:
  - Update to 1.8.8
  - Support STAGEDIR
  
  Changes:	https://github.com/technicalpickles/jeweler/blob/master/ChangeLog.markdown
  PR:		ports/183145
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Deleted:
  head/devel/rubygem-jeweler/files/
Modified:
  head/devel/rubygem-jeweler/Makefile
  head/devel/rubygem-jeweler/distinfo

Modified: head/devel/rubygem-jeweler/Makefile
==============================================================================
--- head/devel/rubygem-jeweler/Makefile	Fri Nov 29 18:34:34 2013	(r335210)
+++ head/devel/rubygem-jeweler/Makefile	Fri Nov 29 19:09:19 2013	(r335211)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	jeweler
-PORTVERSION=	1.8.6
-PORTREVISION=	1
+PORTVERSION=	1.8.8
 CATEGORIES=	devel rubygems
 MASTER_SITES=	RG
 
@@ -15,10 +14,11 @@ LICENSE=	MIT
 RUN_DEPENDS=	rubygem-builder>=0:${PORTSDIR}/devel/rubygem-builder \
 		rubygem-bundler>=1.0:${PORTSDIR}/sysutils/rubygem-bundler \
 		rubygem-git>=1.2.5:${PORTSDIR}/devel/rubygem-git \
-		rubygem-highline>=0:${PORTSDIR}/devel/rubygem-highline \
+		rubygem-highline>=1.6.15:${PORTSDIR}/devel/rubygem-highline \
 		rubygem-github_api>=0.10.1:${PORTSDIR}/devel/rubygem-github_api \
 		rubygem-nokogiri>=1.6.0:${PORTSDIR}/textproc/rubygem-nokogiri \
-		rubygem-rake>=0:${PORTSDIR}/devel/rubygem-rake
+		rubygem-rake>=0:${PORTSDIR}/devel/rubygem-rake \
+		rubygem-rdoc>=0:${PORTSDIR}/devel/rubygem-rdoc
 
 USE_RUBY=	yes
 USE_RUBYGEMS=	yes
@@ -26,5 +26,4 @@ RUBYGEM_AUTOPLIST=	yes
 
 PLIST_FILES=	bin/jeweler
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/rubygem-jeweler/distinfo
==============================================================================
--- head/devel/rubygem-jeweler/distinfo	Fri Nov 29 18:34:34 2013	(r335210)
+++ head/devel/rubygem-jeweler/distinfo	Fri Nov 29 19:09:19 2013	(r335211)
@@ -1,2 +1,2 @@
-SHA256 (rubygem/jeweler-1.8.6.gem) = f1ea41bcaae3638cbc2bc2869adb7e225204cef9618d5789b9856e846ef875cd
-SIZE (rubygem/jeweler-1.8.6.gem) = 56832
+SHA256 (rubygem/jeweler-1.8.8.gem) = 224b6978d5f6cce063082c0c9980565fe3ca8d09fa153809453653850c759684
+SIZE (rubygem/jeweler-1.8.8.gem) = 57344
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"